<?php

$plugin_info = array(
						'pi_name'			=> 'Bn_entry_version',
						'pi_version'		=> '1.0.1',
						'pi_author'			=> 'Chris Newton',
						'pi_author_url'		=> 'http://barrettnewton.com/docs',
						'pi_description'	=> 'Retrieves the revision count for a given entry.',
						'pi_usage'			=> Bn_entry_version::usage()
					);

class Bn_entry_version {
	var $return_data = '';
	
	function Bn_entry_version( $str = '' )
	{
		global $TMPL, $DB;
		
		$this->return_data = '';
		
		if ($str == '')
		{
        	$str = $TMPL->tagdata;
		}
		if (!$str)
		{
			return 0; 
		}
		$sql = $DB->query("SELECT MAX( version_id ) as max, 
		COUNT( entry_id ) as count 
		FROM exp_entry_versioning
		WHERE entry_id =".$DB->escape_str($str)."
		GROUP BY entry_id");

		$revision = 1;
		if ($sql->result && $sql->num_rows>0)
		{
			$count = $sql->row; 
			$revision = $count['count'];
		}
		$this->return_data = $revision; 

	}
	
	function usage()
	{
		return "Use this within an exp:weblog:entries tag and pass in the {entry_id}, or just pass in the entry id of any post between the following tags: {exp:bn_entry_version}{entry_id}{/exp:bn_entry_version}";
	}
	
}